import java.io.PrintStream;
import java.util.Scanner;

public class interactive_gk_wa_splitByX {
    static Scanner in;
    static PrintStream out;

    void run() {
        int maxX = in.nextInt();
        int maxV = in.nextInt();
        solve(maxX, maxV);
    }

    private void solve(int maxX, int maxV) {
        int minV = 0;
        int minX = 0;
        int l = 0;
        int r = maxX;
        for (int t = 0; ; t++) {
//            int l = minX + minV * t;
//            int r = maxX + maxX * t;
//            System.err.format("x=%d..%d%n", l, r);
            if (l == r) {
                out.println("answer " + l);
                out.flush();
                return;
            }
            int m = (l + r) / 2;
            out.println("check " + l + " " + m);
            out.flush();
            if ("Yes".equals(in.next())) {
                r = m;
            } else {
                l = m + 1;
            }
            minX = Math.max(minX, l - maxV * t);
            maxX = Math.min(maxX, r - minV * t);
            if (t != 0) {
                minV = Math.max(minV, (l - maxX + t - 1) / t);
                maxV = Math.min(maxV, (r - minX) / t);
            }
//            System.err.format("x=%d..%d, v=%d..%d, d=%d..%d\n", minX, maxX, minV, maxV, l, r);
            l += minV;
            r += maxV;
        }
    }

    public static void main(String[] args) throws Exception {
        in = new Scanner(System.in);
        out = System.out;

        new interactive_gk_wa_splitByX().run();

        in.close();
        out.close();
    }
}
